Adopt a gateway in a location
Registers the gateway, issues its client certificate and returns the created gateway. Use GET /api/v1/network/{network_id}/gateways/setup to follow the setup progress.
post
Authorizations
defguard_sessionstringRequired
Path parameters
network_idinteger · int64Required
ID of the network.
Body
grpc_portinteger · int32Required
ip_or_domainstringRequired
namestringRequired
Responses
201
Gateway adopted.
application/json
addressstringRequired
certificate_expirystring · nullableOptional
certificate_serialstring · nullableOptional
connected_atstring · nullableOptional
core_client_cert_expirystring · nullableOptional
disconnected_atstring · nullableOptional
enabledbooleanRequired
idinteger · int64Required
location_idinteger · int64Required
modified_atstring · date-timeRequired
modified_bystringRequired
namestringRequired
portinteger · int32Required
versionstring · nullableOptional
400
Invalid request, or the gateway is unreachable or too old.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
Network not found.
application/json
500
Unable to adopt gateway.
application/json
post/api/v1/network/{network_id}/gateways/adopt
POST /api/v1/network/{network_id}/gateways/adopt HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"grpc_port": 1,
"ip_or_domain": "text",
"name": "text"
}{
"address": "text",
"certificate_expiry": null,
"certificate_serial": null,
"connected_at": null,
"core_client_cert_expiry": null,
"disconnected_at": null,
"enabled": true,
"id": 1,
"location_id": 1,
"modified_at": "2026-01-01T00:00:00.000Z",
"modified_by": "text",
"name": "text",
"port": 1,
"version": null
}Last updated
Was this helpful?